Tail = class("Tail")

function Tail:init(id,x,y,down)
	self.id = id
	if(id == 1) then
		self.image = love.graphics.newImage("graphics/tail.png")
		self.image_end_N = love.graphics.newImage("graphics/snaketailblueround_N.png")
		self.image_end_O = love.graphics.newImage("graphics/snaketailblueround_E.png")
		self.image_end_S = love.graphics.newImage("graphics/snaketailblueround_S.png")
		self.image_end_W = love.graphics.newImage("graphics/snaketailblueround_W.png")
	else
		self.image = love.graphics.newImage("graphics/tail2.png")
		self.image_end_N = love.graphics.newImage("graphics/snaketailredround_N.png")
		self.image_end_O = love.graphics.newImage("graphics/snaketailredround_E.png")
		self.image_end_S = love.graphics.newImage("graphics/snaketailredround_S.png")
		self.image_end_W = love.graphics.newImage("graphics/snaketailredround_W.png")
	end
	self.x = x
	self.y = y
	self.down = down
end

function Tail:setUp(up)
	self.up = up
end
function Tail:setDown(down)
	self.down = down
end

function Tail:draw()

	if(self.down ~= nil)then
		self.down:draw()
	end

	if(self.down == nil)then
		if(self.up.x == self.x-40)then
			love.graphics.draw(self.image_end_O, self.x, self.y)
			return
		end
		if(self.up.x == self.x+40)then
			love.graphics.draw(self.image_end_W, self.x, self.y)
			return
		end
		if(self.up.y == self.y-40)then
			love.graphics.draw(self.image_end_S, self.x, self.y)
			return
		end
		if(self.up.y == self.y+40)then
			love.graphics.draw(self.image_end_N, self.x, self.y)
			return
		end
	end
	
	love.graphics.draw(self.image, self.x, self.y)
end

function Tail:setPosition(x,y)
	self.x = x
	self.y = y
end

function Tail:getDown()
	return self.down
end
function Tail:getUp()
	return self.up
end

function Tail:checkCollision(headX,headY)
	if(directionX == 0 and directionY == 0)then
		return
	end
	collision = (headX > self.x-40 and headX < self.x+40 and headY > self.y-40 and headY < self.y+40)
	if(collision) then
		return true
	else
		d = self.down
		if(d ~= nil) then
			return d:checkCollision(headX,headY)
		else
			return false
		end
	end
end

return Tail()